<?xml version="1.0"?>
<!-- This file is part of stock_anmat_traceability module for Tryton.
The COPYRIGHT file at the top level of this repository contains
the full copyright notices and license terms. -->
<tryton>
    <data>

        <!-- Icons -->
        <record model="ir.ui.icon" id="anmat_icon">
            <field name="name">anmat-traceability</field>
            <field name="path">icons/anmat-traceability.svg</field>
        </record>

        <!-- Menus -->
        <menuitem name="ANMAT" id="anmat_menu" icon="anmat-traceability"/>
        <menuitem name="Configuration" parent="anmat_menu"
            id="anmat_config_menu" sequence="10" icon="gnuhealth-preferences"/>

        <!-- Webservice Configuration -->
        <record model="ir.ui.view" id="anmat_config_view_form">
            <field name="model">anmat.config</field>
            <field name="type">form</field>
            <field name="name">anmat_config_form</field>
        </record>

        <record model="ir.action.act_window" id="act_anmat_config">
            <field name="name">Configuration</field>
            <field name="res_model">anmat.config</field>
        </record>
        <record model="ir.action.act_window.view" id="act_anmat_config_view_form">
            <field name="sequence" eval="10"/>
            <field name="view" ref="anmat_config_view_form"/>
            <field name="act_window" ref="act_anmat_config"/>
        </record>
        <menuitem parent="anmat_config_menu" action="act_anmat_config"
            id="anmat_config" sequence="10" icon="tryton-list"/>

        <!-- Agent Type -->
        <record model="ir.ui.view" id="agent_type_view_form">
            <field name="model">anmat.agent.type</field>
            <field name="type">form</field>
            <field name="name">agent_type_form</field>
        </record>
        <record model="ir.ui.view" id="agent_type_view_list">
            <field name="model">anmat.agent.type</field>
            <field name="type">tree</field>
            <field name="name">agent_type_list</field>
        </record>

        <record model="ir.action.act_window" id="act_agent_type_form">
            <field name="name">Agent Types</field>
            <field name="res_model">anmat.agent.type</field>
        </record>
        <record model="ir.action.act_window.view" id="act_agent_type_form_view1">
            <field name="sequence" eval="10"/>
            <field name="view" ref="agent_type_view_list"/>
            <field name="act_window" ref="act_agent_type_form"/>
        </record>
        <record model="ir.action.act_window.view" id="act_agent_type_form_view2">
            <field name="sequence" eval="20"/>
            <field name="view" ref="agent_type_view_form"/>
            <field name="act_window" ref="act_agent_type_form"/>
        </record>
        <menuitem parent="anmat_config_menu" sequence="20"
            action="act_agent_type_form" id="menu_agent_type_form"/>

        <!-- Event Type -->
        <record model="ir.ui.view" id="event_type_view_form">
            <field name="model">anmat.event.type</field>
            <field name="type">form</field>
            <field name="name">event_type_form</field>
        </record>
        <record model="ir.ui.view" id="event_type_view_list">
            <field name="model">anmat.event.type</field>
            <field name="type">tree</field>
            <field name="name">event_type_list</field>
        </record>

        <record model="ir.action.act_window" id="act_event_type_form">
            <field name="name">Event Types</field>
            <field name="res_model">anmat.event.type</field>
        </record>
        <record model="ir.action.act_window.view" id="act_event_type_form_view1">
            <field name="sequence" eval="10"/>
            <field name="view" ref="event_type_view_list"/>
            <field name="act_window" ref="act_event_type_form"/>
        </record>
        <record model="ir.action.act_window.view" id="act_event_type_form_view2">
            <field name="sequence" eval="20"/>
            <field name="view" ref="event_type_view_form"/>
            <field name="act_window" ref="act_event_type_form"/>
        </record>
        <menuitem parent="anmat_config_menu" sequence="30"
            action="act_event_type_form" id="menu_event_type_form"/>

        <!-- Event -->
        <record model="ir.ui.view" id="event_view_form">
            <field name="model">anmat.event</field>
            <field name="type">form</field>
            <field name="name">event_form</field>
        </record>
        <record model="ir.ui.view" id="event_view_list">
            <field name="model">anmat.event</field>
            <field name="type">tree</field>
            <field name="name">event_list</field>
        </record>

        <record model="ir.action.act_window" id="act_event_form">
            <field name="name">Events</field>
            <field name="res_model">anmat.event</field>
        </record>
        <record model="ir.action.act_window.view" id="act_event_form_view1">
            <field name="sequence" eval="10"/>
            <field name="view" ref="event_view_list"/>
            <field name="act_window" ref="act_event_form"/>
        </record>
        <record model="ir.action.act_window.view" id="act_event_form_view2">
            <field name="sequence" eval="20"/>
            <field name="view" ref="event_view_form"/>
            <field name="act_window" ref="act_event_form"/>
        </record>
        <menuitem parent="anmat_config_menu" sequence="40"
            action="act_event_form" id="menu_event_form"/>

        <!-- Location Configuration -->
        <record model="ir.ui.view" id="anmat_location_config_view_form">
            <field name="model">anmat.location.config</field>
            <field name="type">form</field>
            <field name="name">anmat_location_config_form</field>
        </record>
        <record model="ir.ui.view" id="anmat_location_config_view_list">
            <field name="model">anmat.location.config</field>
            <field name="type">tree</field>
            <field name="name">anmat_location_config_list</field>
        </record>

        <record model="ir.action.act_window" id="act_anmat_location_config">
            <field name="name">Locations Configuration</field>
            <field name="res_model">anmat.location.config</field>
        </record>
        <record model="ir.action.act_window.view" id="act_anmat_location_config_view_list">
            <field name="sequence" eval="10"/>
            <field name="view" ref="anmat_location_config_view_list"/>
            <field name="act_window" ref="act_anmat_location_config"/>
        </record>
        <record model="ir.action.act_window.view" id="act_anmat_location_config_view_form">
            <field name="sequence" eval="20"/>
            <field name="view" ref="anmat_location_config_view_form"/>
            <field name="act_window" ref="act_anmat_location_config"/>
        </record>
        <menuitem parent="anmat_config_menu" sequence="50"
            action="act_anmat_location_config" id="menu_anmat_location_config_form"/>

        <!-- Trace Transaction -->
        <record model="ir.ui.view" id="anmat_transaction_view_form">
            <field name="model">anmat.trace.transaction</field>
            <field name="type">form</field>
            <field name="name">anmat_transaction_form</field>
        </record>
        <record model="ir.ui.view" id="anmat_transaction_view_list">
            <field name="model">anmat.trace.transaction</field>
            <field name="type">tree</field>
            <field name="name">anmat_transaction_list</field>
        </record>

        <record model="ir.ui.view" id="anmat_transaction_view_form_reference">
            <field name="model">anmat.trace.transaction</field>
            <field name="type">form</field>
            <field name="name">anmat_transaction_form_reference</field>
        </record>
        <record model="ir.ui.view" id="anmat_transaction_view_list_reference">
            <field name="model">anmat.trace.transaction</field>
            <field name="type">tree</field>
            <field name="name">anmat_transaction_list_reference</field>
        </record>

    </data>
</tryton>
